FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Cluster Development

 
 
LinkBack Thread Tools
 
Old 01-11-2008, 08:32 PM
 
Default cluster/rgmanager/src/resources lvm_by_vg.sh

CVSROOT: /cvs/cluster
Module name: cluster
Changes by: jbrassow@sourceware.org 2008-01-11 21:32:51

Modified files:
rgmanager/src/resources: lvm_by_vg.sh

Log message:
- Bug #428448
- HA LVM service fails to relocate when I/O is running

Was failing to add new tag when relocating.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_vg.sh.diff?cvsroot=cluster&r1=1.2&r2=1.3

--- cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/03 21:02:53 1.2
+++ cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/11 21:32:48 1.3
@@ -74,7 +74,8 @@
return $OCF_ERR_GENERIC
fi

- if ! vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name; then
+ vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name
+ if [ $? -ne 0 ]; then
ocf_log err "Failed to add ownership tag to $OCF_RESKEY_vg_name"
return $OCF_ERR_GENERIC
fi
 
Old 01-11-2008, 08:32 PM
 
Default cluster/rgmanager/src/resources lvm_by_vg.sh

CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: jbrassow@sourceware.org 2008-01-11 21:32:55

Modified files:
rgmanager/src/resources: lvm_by_vg.sh

Log message:
- Bug #428448
- HA LVM service fails to relocate when I/O is running

Was failing to add new tag when relocating.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_vg.sh.diff?cvsroot=cluster&only_with_tag=RH EL5&r1=1.1.4.1&r2=1.1.4.2

--- cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/03 20:45:37 1.1.4.1
+++ cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/11 21:32:55 1.1.4.2
@@ -74,7 +74,8 @@
return $OCF_ERR_GENERIC
fi

- if ! vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name; then
+ vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name
+ if [ $? -ne 0 ]; then
ocf_log err "Failed to add ownership tag to $OCF_RESKEY_vg_name"
return $OCF_ERR_GENERIC
fi
 
Old 01-11-2008, 08:33 PM
 
Default cluster/rgmanager/src/resources lvm_by_vg.sh

CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL4
Changes by: jbrassow@sourceware.org 2008-01-11 21:33:31

Modified files:
rgmanager/src/resources: lvm_by_vg.sh

Log message:
- Bug #428475
- HA LVM service fails to relocate when I/O is running

Was failing to add new tag when relocating.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_vg.sh.diff?cvsroot=cluster&only_with_tag=RH EL4&r1=1.1.2.1&r2=1.1.2.2

--- cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/03 20:35:39 1.1.2.1
+++ cluster/rgmanager/src/resources/lvm_by_vg.sh 2008/01/11 21:33:31 1.1.2.2
@@ -74,7 +74,8 @@
return $OCF_ERR_GENERIC
fi

- if ! vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name; then
+ vgchange --addtag $(local_node_name) $OCF_RESKEY_vg_name
+ if [ $? -ne 0 ]; then
ocf_log err "Failed to add ownership tag to $OCF_RESKEY_vg_name"
return $OCF_ERR_GENERIC
fi
 

Thread Tools




All times are GMT. The time now is 10:26 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org